use sqlite::{Connection, State, Error};

pub fn init() -> sqlite::Result<()> {
    let conn = Connection::open("./data/data.db")?;

    conn.execute(
        "CREATE TABLE IF NOT EXISTS articles (
            id INTEGER PRIMARY KEY,
            title TEXT NOT NULL,
            subTitle TEXT,
            content TEXT NOT NULL
        )",
    )?;

    Ok(())
}
